Checks the threads status

- « SolrClient::system

- SolrResponse »

- PHP Manual
- SolrClient
- Checks the threads status

# SolrClient::threads

(PECL solr >= 0.9.2)

SolrClient::threads — Checks the threads status

### Description

public SolrClient::threads(): void

Checks the threads status

### Parameters

This function has no parameters.

### Return Values

Returns a SolrGenericResponse object.

### Errors/Exceptions

Throws SolrClientException if the client failed, or there was a connection issue.

throws SolrServerException if the Solr Server failed to process the request.